<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:doc="http://matracas.org/tmp/xslt-html5-math"
  exclude-result-prefixes="doc">

  <xsl:output
    method="html" version="5.0"
    indent="yes"
    omit-xml-declaration="yes" standalone="yes"
    doctype-system="about:legacy-compat"
    />

  <xsl:template match="/">
    <html>
      <head><meta charset="utf-8" /></head>
      <xsl:apply-templates/>
    </html>
  </xsl:template>

  <xsl:template match="doc:document">
    <body><xsl:apply-templates/></body>
  </xsl:template>

  <xsl:template match="doc:formula">
    <math><xsl:apply-templates/></math>
    <!-- We can make the following notice be visible only when transformed
         by Firefox and not for instance xsltproc
         because it does not support disable-output-escaping. -->
    <xsl:text disable-output-escaping="yes">
      &lt;!-- Firefox version --&gt;
    </xsl:text>
  </xsl:template>
  <xsl:template match="doc:fraction">
    <mfrac><xsl:apply-templates/></mfrac>
  </xsl:template>
  <xsl:template match="doc:number">
    <mn><xsl:apply-templates/></mn>
  </xsl:template>

  <xsl:template match="doc:para">
    <p><xsl:apply-templates/></p>
  </xsl:template>
  <xsl:template match="doc:link">
    <a href="{.}"><xsl:value-of select="."/></a>
  </xsl:template>
  <xsl:template match="doc:src">
    <tt><xsl:apply-templates/></tt>
  </xsl:template>
  <xsl:template match="doc:cli">
    <pre><xsl:apply-templates/></pre>
  </xsl:template>

</xsl:stylesheet>